import 'dart:ffi';

import 'package:ffi/ffi.dart';

extension Int8Pointer on Pointer<Int8> {
  String toDartString({int? length}) {
    return cast<Utf8>().toDartString(length: length);
  }

  void dispose() => calloc.free(this);
}

extension Int8String on String {
  Pointer<Int8> newInt8String() => toNativeUtf8().cast<Int8>();
}
