import 'dart:io';

import 'package:gsettings/src/int8str.dart';
import 'package:gsettings/src/gio.dart';

import 'package:path/path.dart' as path;

void setenv(String key, String value) {
  final ckey = key.newInt8String();
  final cvalue = value.newInt8String();
  gio.g_setenv(ckey, cvalue, 1);
  ckey.dispose();
  cvalue.dispose();
}

String testSchemaPath() {
  var dir = Directory.current;
  // https://github.com/flutter/flutter/issues/20907
  if (dir.path.endsWith('/test')) {
    dir = Directory.current.parent;
  }
  return path.join(dir.path, 'test/schemas/');
}

void setUpGSettings() => setenv('GSETTINGS_SCHEMA_DIR', testSchemaPath());
